
// =====================================
// Shader pour la map : ut4_crystalpower
// clatoo 17/01/09
// =====================================

// ------------------------------------- 
// shader pour le ciel d'Enfer
// ------------------------------------- 

textures/ivr/toxicsky
{
	surfaceparm noimpact				// Pas d'impact de balles ou autres
	surfaceparm nolightmap				// Ne peut pas recevoir de la lumiere
	surfaceparm sky					// Surface consideree comme un ciel
	q3map_sun	0 0 0 0 0 0
	q3map_surfacelight 0
	qer_editorimage textures/ivr/toxicsky.tga	// Texture stencil
	skyparms - 256 -				// farbox / cloudheight / nearbox
	{
		map textures/laby/Ciel_01.jpg		// Texture pour la couche de nuages la plus haute
		tcMod scale 6 6				// Taille de la texture
		tcMod scroll 0.0355 0.0355		// Direction et vitesse du scrolling
	//	depthWrite
	}
	{
		map textures/laby/Ciel_02.jpg		// Texture pour la couche de nuages la moins haute
		blendFunc GL_ONE GL_ONE			// Type du Blend, pour melange Ciel_02 avec Ciel_01
		tcMod scale 6 6				// Taille de la seconde texture
		tcMod scroll 0.0125 0.0125		// Direction et vitesse du scrolling
	}
}

// ------------------------------------- 
// Shader pour le CrystalPower
// -------------------------------------
// Effet etonnant a verifier : 
// quand on jette une grenade a travers 
// le crystal, elle est teleportee 
// dans une autre dimension !!!

textures/ivr/toxicgreen
{
	surfaceparm nolightmap				// Ne peut pas recevoir de la lumiere
	surfaceparm noimpact				// Pas d'impact de balles ou autres
	qer_editorimage textures/ivr/toxicgreen.tga	// Texture stencil
	q3map_lightimage textures/laby/Texture_25.jpg	// Texture light
	q3map_surfacelight 2000
        cull none					// 2 faces
	{
		map textures/laby/Texture_25.jpg	// Texture projection
		blendfunc gl_dst_color gl_zero		// Opration logique d'OpenGL pour la transparence
		tcGen environment
		tcMod scale 4 4				// Taille de la texture
		tcMod turb 0 0.25 0 0.05		// Effet super cool sur la texture
	}
}




